Bug 36104 - [4.3/4.4/4.5/4.6/4.7 Regression] gnu-versioned-namespace is broken
Summary: [4.3/4.4/4.5/4.6/4.7 Regression] gnu-versioned-namespace is broken
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 4.3.0
: P2 normal
Target Milestone: 4.6.0
Assignee: Benjamin Kosnik
URL:
Keywords: build
Depends on:
Blocks:
 
Reported: 2008-05-01 20:52 UTC by Vorfeed Canal
Modified: 2011-04-04 16:59 UTC (History)
2 users (show)

See Also:
Host: i686-pc-linux-gnu
Target: i686-pc-linux-gnu
Build: i686-pc-linux-gnu
Known to work: 4.1.2, 4.2.4
Known to fail: 4.3.0
Last reconfirmed: 2009-02-24 01:23:57


Attachments
Simple fix (8.30 KB, patch)
2008-05-01 20:56 UTC, Vorfeed Canal
Details | Diff
enable-symvers=gnu-versioned-namespace vs. libgomp (285 bytes, patch)
2009-02-24 01:24 UTC, Benjamin Kosnik
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vorfeed Canal 2008-05-01 20:52:39 UTC
libstdc++ from GCC 4.3.0 can not be built with --gnu-versioned-namespace option.

libtool: compile:  /var/tmp/portage/sys-devel/gcc-4.3.0/work/build/./gcc/xgcc -shared-libgcc -B/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/./gcc -nostdinc++ -L/var/tmp/
portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/src -L/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/src/.libs -B/usr/
i686-pc-linux-gnu/bin/ -B/usr/i686-pc-linux-gnu/lib/ -isystem /usr/i686-pc-linux-gnu/include -isystem /usr/i686-pc-linux-gnu/sys-include -I/var/tmp/portage/sys-devel/gcc-4.
3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/i686-pc-linux-gnu -I/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include -I/var/tmp/
portage/sys-devel/gcc-4.3.0/work/gcc-4.3.0/libstdc++-v3/libsupc++ -fno-implicit-templates -Wall -Wextra -Wwrite-strings -Wcast-qual -fdiagnostics-show-location=once -ffunct
ion-sections -fdata-sections -O2 -mtune=i686 -pipe -D_GNU_SOURCE -std=gnu++0x -c /var/tmp/portage/sys-devel/gcc-4.3.0/work/gcc-4.3.0/libstdc++-v3/src/hash_c++0x.cc  -fPIC -
DPIC -o .libs/hash_c++0x.o
In file included from /var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/functional:75,
                 from /var/tmp/portage/sys-devel/gcc-4.3.0/work/gcc-4.3.0/libstdc++-v3/src/hash.cc:35,
                 from /var/tmp/portage/sys-devel/gcc-4.3.0/work/gcc-4.3.0/libstdc++-v3/src/hash_c++0x.cc:30:
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:475: error: expected initializer before '<' token
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:481: error: expected initializer before '<' token
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:486: error: expected initializer before '<' token
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:491: error: expected initializer before '<' token
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:961: error: template argument 1 is invalid
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:961: error: template argument 2 is invalid
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:961: error: template argument 3 is invalid
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:1613: error: reference to 'reference_wrapper' is ambiguous
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:430: error: candidates are: template<class _Tp> class std::refere
nce_wrapper
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/bits/stl_pair.h:222: error:                 template<class _Tp> struct std::_6::refer
ence_wrapper
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:1613: error: 'reference_wrapper' has not been declared
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:1613: error: expected ',' or '...' before '<' token
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional: In static member function 'static void std::_Function_base::_Ref
_manager<_Functor>::_M_init_functor(std::_Any_data&, int)':
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:1616: error: '__f' was not declared in this scope
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional: At global scope:
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:1670: error: template argument 2 is invalid
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:1670: error: expected unqualified-id before '>' token
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:1685: error: template argument 2 is invalid
/var/tmp/portage/sys-devel/gcc-4.3.0/work/build/i686-pc-linux-gnu/libstdc++-v3/include/tr1_impl/functional:1685: error: expected unqualified-id before '>' token
Comment 1 Vorfeed Canal 2008-05-01 20:56:36 UTC
Created attachment 15558 [details]
Simple fix

I'm not 100% sure it's correct way to fix this problem but at least I can compile the library with it.

Actually I'm pretty much sure it's incorrect way to fix gnu-versioned-namespace as it leaves a lot of namespaces (like __gnu_pbds or std::__debug) unversioned but I'm not libstdc++ expert...
Comment 2 Benjamin Kosnik 2009-02-24 01:23:56 UTC
Mine. This is still broken in 4.4.0.

Actually, in 4.2.4 --enable-symvers=gnu-versioned-namespace runs into a build error in libgomp, where the argument given (gnu-versioned-namespace) does not match with yes, no, gnu.

The simple patch attached fixes libgomp. I thought I posted this a long time ago, but looks like it got dropped. 

-benjamin



-benjamin
Comment 3 Benjamin Kosnik 2009-02-24 01:24:37 UTC
Created attachment 17355 [details]
enable-symvers=gnu-versioned-namespace vs. libgomp
Comment 4 Benjamin Kosnik 2009-03-04 14:03:10 UTC
This has been broken since the move to include/tr1_impl. To fix this, I would like to move to using fully-qualified macros for TR1 and std namespaces (ie _GLIBCXX_TR1, _GLIBCXX_STD), and hopefully unifying the active namespace switching mechanisms (_GLIBCXX_BEGIN_NAMESPACE and friends, _GLIBCXX_BEGIN_NAMESPACE_TR1).



Comment 5 Richard Biener 2009-08-04 12:29:06 UTC
GCC 4.3.4 is being released, adjusting target milestone.
Comment 6 Richard Biener 2010-05-22 18:12:20 UTC
GCC 4.3.5 is being released, adjusting target milestone.
Comment 7 Jakub Jelinek 2010-11-23 10:27:45 UTC
Benjamin, would you have time for this at least for 4.6.0?  Would be nice to get it finally fixed.
Comment 8 Benjamin Kosnik 2010-11-23 19:02:52 UTC
Yes, I'm targeting 4.6.0 for this. I've adjusted the target milestone appropriately. Paolo already reverted the directory changes that made this stop working, so I anticipate that fixes for this will be confined to c++config and marking up spots that weren't there 3 years ago.
Comment 9 Benjamin Kosnik 2011-01-15 00:27:14 UTC
Author: bkoz
Date: Sat Jan 15 00:27:10 2011
New Revision: 168831

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=168831
Log:
2011-01-14  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/36104
	* include/Makefile.am (bits_sup_headers, stamp-bits-sup): New.
	* include/Makefile.in: Regenerate.
	* libsupc++/Makefile.am (std_HEADERS, bits_HEADERS): New.
	(install-stdHEADERS, install-bitsHEADERS): New.
	* libsupc++/Makefile.in: Regenerate.

	* include/bits/c++config: Update for inline namespaces.
	* libsupc++/cxxabi-forced.h: To...
	* libsupc++/cxxabi_forced.h: ...this.
	* libsupc++/hash_bytes.h: Separate file.
	* libsupc++/typeinfo: Use it.
	* libsupc++/exception: Adjust for bits subdirectory.
	* libsupc++/eh_aux_runtime.cc: Same.
	* libsupc++/eh_ptr.cc: Same.
	* libsupc++/new_op.cc: Same.
	* libsupc++/exception_defines.h: Same.
	* libsupc++/nested_exception.h: Same.
	* libsupc++/eh_terminate.cc: Same.
	* libsupc++/vec.cc: Same.
	* libsupc++/vterminate.cc: Same.
	* libsupc++/exception_ptr.h: Same.
	* libsupc++/eh_personality.cc: Same.
	* libsupc++/eh_call.cc: Same.
	* libsupc++/new_opnt.cc: Same.
	* libsupc++/hash_bytes.cc: Same.
	* config/cpu/arm/cxxabi_tweaks.h: Same.
	* config/cpu/generic/cxxabi_tweaks.h: Same.
	* libsupc++/cxxabi.h: Same. Consolidate _GLIBCXX_NOTHROW defines.
	* include/std/bitset: Same.
	* include/ext/vstring.tcc: Same.
	* include/bits/hashtable.h: Same.
	* include/bits/functional_hash.h: Same.
	* include/bits/hashtable_policy.h: Same.
	* include/bits/basic_string.h: Same.
	* include/bits/istream.tcc: Same.
	* include/bits/ostream.tcc: Same.
	* include/bits/algorithmfwd.h: Same.
	* include/bits/basic_string.tcc: Same.
	* include/bits/ostream_insert.h: Same.
	* include/bits/fstream.tcc: Same.
	* include/bits/functexcept.h: Same.

	* doc/doxygen/user.cfg.in: Adjust names.

	* testsuite/ext/profile/mutex_extensions_neg.cc: Adjust line numbers.


Added:
    trunk/libstdc++-v3/libsupc++/cxxabi_forced.h
      - copied, changed from r168824, trunk/libstdc++-v3/libsupc++/cxxabi-forced.h
    trunk/libstdc++-v3/libsupc++/hash_bytes.h
Removed:
    trunk/libstdc++-v3/libsupc++/cxxabi-forced.h
Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/config/cpu/arm/cxxabi_tweaks.h
    trunk/libstdc++-v3/config/cpu/generic/cxxabi_tweaks.h
    trunk/libstdc++-v3/doc/doxygen/user.cfg.in
    trunk/libstdc++-v3/include/Makefile.am
    trunk/libstdc++-v3/include/Makefile.in
    trunk/libstdc++-v3/include/bits/algorithmfwd.h
    trunk/libstdc++-v3/include/bits/basic_string.h
    trunk/libstdc++-v3/include/bits/basic_string.tcc
    trunk/libstdc++-v3/include/bits/c++config
    trunk/libstdc++-v3/include/bits/fstream.tcc
    trunk/libstdc++-v3/include/bits/functexcept.h
    trunk/libstdc++-v3/include/bits/functional_hash.h
    trunk/libstdc++-v3/include/bits/hashtable.h
    trunk/libstdc++-v3/include/bits/hashtable_policy.h
    trunk/libstdc++-v3/include/bits/istream.tcc
    trunk/libstdc++-v3/include/bits/ostream.tcc
    trunk/libstdc++-v3/include/bits/ostream_insert.h
    trunk/libstdc++-v3/include/ext/vstring.tcc
    trunk/libstdc++-v3/include/std/bitset
    trunk/libstdc++-v3/libsupc++/Makefile.am
    trunk/libstdc++-v3/libsupc++/Makefile.in
    trunk/libstdc++-v3/libsupc++/cxxabi.h
    trunk/libstdc++-v3/libsupc++/eh_aux_runtime.cc
    trunk/libstdc++-v3/libsupc++/eh_call.cc
    trunk/libstdc++-v3/libsupc++/eh_personality.cc
    trunk/libstdc++-v3/libsupc++/eh_ptr.cc
    trunk/libstdc++-v3/libsupc++/eh_terminate.cc
    trunk/libstdc++-v3/libsupc++/exception
    trunk/libstdc++-v3/libsupc++/exception_defines.h
    trunk/libstdc++-v3/libsupc++/exception_ptr.h
    trunk/libstdc++-v3/libsupc++/hash_bytes.cc
    trunk/libstdc++-v3/libsupc++/nested_exception.h
    trunk/libstdc++-v3/libsupc++/new_op.cc
    trunk/libstdc++-v3/libsupc++/new_opnt.cc
    trunk/libstdc++-v3/libsupc++/typeinfo
    trunk/libstdc++-v3/libsupc++/vec.cc
    trunk/libstdc++-v3/libsupc++/vterminate.cc
    trunk/libstdc++-v3/testsuite/ext/profile/mutex_extensions_neg.cc
Comment 10 Jakub Jelinek 2011-01-15 09:55:21 UTC
So, is this now fixed for 4.6+?
Comment 11 Benjamin Kosnik 2011-01-18 19:01:01 UTC
yes. debug mode + versioning still in progress. expect to wrap that up asap
Comment 12 Benjamin Kosnik 2011-01-19 20:00:52 UTC
Author: bkoz
Date: Wed Jan 19 20:00:47 2011
New Revision: 169021

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=169021
Log:
2011-01-19  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/36104 part two
	* include/bits/hashtable.h: Revert to non-nested macro usage.
	* include/bits/hashtable_policy.h: Same.


Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/include/bits/hashtable.h
    trunk/libstdc++-v3/include/bits/hashtable_policy.h
Comment 13 Benjamin Kosnik 2011-01-20 20:04:29 UTC
Author: bkoz
Date: Thu Jan 20 20:04:25 2011
New Revision: 169063

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=169063
Log:
2011-01-20  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/36104 part three
	* src/hashtable_c++0x.cc: Adjust namespace macros.
	* testsuite/util/testsuite_rvalref.h: Don't forward declare hash.
	* config/abi/pre/gnu-versioned-namespace.ver: Update.


Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/config/abi/pre/gnu-versioned-namespace.ver
    trunk/libstdc++-v3/src/hashtable_c++0x.cc
    trunk/libstdc++-v3/testsuite/util/testsuite_rvalref.h
Comment 14 Benjamin Kosnik 2011-01-20 23:41:28 UTC
Author: bkoz
Date: Thu Jan 20 23:41:24 2011
New Revision: 169072

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=169072
Log:
2011-01-20  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/36104
	* acinclude.m4 (LIBGOMP_ENABLE_SYMVERS): Accept gnu variants.


Modified:
    trunk/libgomp/ChangeLog
    trunk/libgomp/Makefile.in
    trunk/libgomp/acinclude.m4
    trunk/libgomp/aclocal.m4
    trunk/libgomp/configure
    trunk/libgomp/testsuite/Makefile.in
Comment 15 Benjamin Kosnik 2011-01-28 09:51:23 UTC
Patches 1-3 restore gcc-4.2 behavior. Configure works, the library builds, most all of the tests pass regression, etc.

Unfortunately, this is still annoyingly wrong on close inspection. Namespaces nested within std containing definitions will be mis-versioned. Using versioning + modes fails. 

The inline namespace code, which unfortunately includes most of the macros used to define namespaces in every libstdc++ header, was done as part of the initial work for this feature, nee namespace association. Then changes were made, nesting was made de rigeur, and the original macros were pushed and squeezed into submission. Yet more modes were added: parallel, profile. 

Yet another level of nesting was added for versioning, overloading the namespace macros with another condition.

C++0x support starts to partition the std:: namespace into finer bits: chrono, regex, etc. All of these nested namespaces + current macros are wrong.

Patch 4 fixes these issues, and provides a saner infrastructure for future debug/profile/parallel work.
Comment 16 Benjamin Kosnik 2011-01-30 22:39:49 UTC
Author: bkoz
Date: Sun Jan 30 22:39:36 2011
New Revision: 169421

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=169421
Log:
2011-01-30  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/36104 part four
	* include/bits/c++config (_GLIBCXX_STD): Remove.
	(_GLIBCXX_STD_D, _GLIBCXX_PR): Now _GLIBCXX_STD_C.
	(_GLIBCXX_P): Now _GLIBCXX_STD_A.
	(_GLIBCXX_NAMESPACE_DEBUG, _GLIBCXX_NAMESPACE_PARALLEL,
	 _GLIBCXX_NAMESPACE_PROFILE, _GLIBCXX_NAMESPACE_VERSION): Remove.
	(_GLIBCXX_INLINE_DEBUG, _GLIBCXX_INLINE_PARALLEL,
	 _GLIBCXX_INLINE_PROFILE): Remove.
	(_GLIBCXX_BEGIN_NAMESPACE(X)): Remove.
	(_GLIBCXX_END_NAMESPACE): Remove.
	(_GLIBCXX_BEGIN_NESTED_NAMESPACE(X, Y)): Remove.
	(_GLIBCXX_END_NESTED_NAMESPACE): Remove.
	(_GLIBCXX_BEGIN_NAMESPACE_ALGO): Add.
	(_GLIBCXX_END_NAMESPACE_ALGO): Add.
	(_GLIBCXX_BEGIN_NAMESPACE_CONTAINER): Add.
	(_GLIBCXX_END_NAMESPACE_CONTAINER): Add.
	(_GLIBCXX_BEGIN_NAMESPACE_VERSION): Add.
	(_GLIBCXX_END_NAMESPACE_VERSION): Add.
	(_GLIBCXX_BEGIN_LDBL_NAMESPACE): To _GLIBCXX_BEGIN_NAMESPACE_LDBL.
	(_GLIBCXX_END_LDBL_NAMESPACE): To _GLIBCXX_END_NAMESPACE_LDBL.
	(_GLIBCXX_VISIBILITY_ATTR): Revert to _GLIBCXX_VISIBILITY.
	* include/*: Use new macros for namespace scope.
	* config/*: Same.
	* src/*: Same.

	* src/Makefile.am (sources): Remove debug_list.cc, add
	compatibility-debug_list-2.cc.
	(parallel_sources): Remove parallel_list.cc, add
	compatibility-parallel_list-2.cc.
	(compatibility-parallel_list-2.[o,lo]): New rule.
	* src/Makefile.in: Regenerate.
	* src/debug_list.cc: Remove.
	* src/parallel_list.cc: Remove.
	* src/compatibility-list-2.cc: New.
	* src/compatibility-debug_list-2.cc: New.
	* src/compatibility-parallel_list-2.cc: New.

	* doc/doxygen/user.cfg.in: Adjust macros.

	* testsuite/20_util/auto_ptr/assign_neg.cc: Adjust line numbers, macros.
	* testsuite/20_util/declval/requirements/1_neg.cc: Same.
	* testsuite/20_util/duration/requirements/typedefs_neg1.cc: Same.
	* testsuite/20_util/duration/requirements/typedefs_neg2.cc: Same.
	* testsuite/20_util/duration/requirements/typedefs_neg3.cc: Same.
	* testsuite/20_util/forward/c_neg.cc: Same.
	* testsuite/20_util/forward/f_neg.cc: Same.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc: Same.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc: Same.
	* testsuite/20_util/ratio/cons/cons_overflow_neg.cc: Same.
	* testsuite/20_util/ratio/operations/ops_overflow_neg.cc: Same.
	* testsuite/20_util/shared_ptr/cons/43820_neg.cc: Same.
	* testsuite/20_util/weak_ptr/comparison/cmp_neg.cc: Same.
	* testsuite/23_containers/deque/requirements/dr438/assign_neg.cc: Same.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/deque/requirements/dr438/insert_neg.cc: Same.
	* testsuite/23_containers/forward_list/capacity/1.cc: Same.
	* testsuite/23_containers/forward_list/requirements/dr438/
	assign_neg.cc: Same.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/forward_list/requirements/dr438/
	insert_neg.cc: Same.
	* testsuite/23_containers/list/capacity/29134.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/assign_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/insert_neg.cc: Same.
	* testsuite/23_containers/vector/bool/capacity/29134.cc: Same.
	* testsuite/23_containers/vector/bool/modifiers/insert/31370.cc: Same.
	* testsuite/23_containers/vector/requirements/dr438/assign_neg.cc: Same.
	* testsuite/23_containers/vector/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/vector/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/vector/requirements/dr438/insert_neg.cc: Same.
	* testsuite/25_algorithms/sort/35588.cc: Same.
	* testsuite/27_io/ios_base/cons/assign_neg.cc: Same.
	* testsuite/27_io/ios_base/cons/copy_neg.cc: Same.
	* testsuite/ext/profile/mutex_extensions_neg.cc: Same.
	* testsuite/ext/profile/profiler_algos.cc: Same.
	* testsuite/ext/type_traits/add_unsigned_floating_neg.cc: Same.
	* testsuite/ext/type_traits/add_unsigned_integer_neg.cc: Same.
	* testsuite/ext/type_traits/remove_unsigned_floating_neg.cc: Same.
	* testsuite/ext/type_traits/remove_unsigned_integer_neg.cc: Same.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/43820_neg.cc: Same.


Added:
    trunk/libstdc++-v3/src/compatibility-debug_list-2.cc
    trunk/libstdc++-v3/src/compatibility-list-2.cc
    trunk/libstdc++-v3/src/compatibility-parallel_list-2.cc
Removed:
    trunk/libstdc++-v3/src/debug_list.cc
    trunk/libstdc++-v3/src/parallel_list.cc
Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/config/abi/pre/gnu-versioned-namespace.ver
    trunk/libstdc++-v3/config/abi/pre/gnu.ver
    trunk/libstdc++-v3/config/cpu/cris/atomicity.h
    trunk/libstdc++-v3/config/cpu/generic/atomicity_builtins/atomicity.h
    trunk/libstdc++-v3/config/cpu/generic/atomicity_mutex/atomicity.h
    trunk/libstdc++-v3/config/cpu/hppa/atomicity.h
    trunk/libstdc++-v3/config/cpu/i386/atomicity.h
    trunk/libstdc++-v3/config/cpu/i486/atomicity.h
    trunk/libstdc++-v3/config/cpu/ia64/atomic_word.h
    trunk/libstdc++-v3/config/cpu/m68k/atomicity.h
    trunk/libstdc++-v3/config/cpu/sh/atomicity.h
    trunk/libstdc++-v3/config/cpu/sparc/atomicity.h
    trunk/libstdc++-v3/config/io/basic_file_stdio.cc
    trunk/libstdc++-v3/config/io/basic_file_stdio.h
    trunk/libstdc++-v3/config/io/c_io_stdio.h
    trunk/libstdc++-v3/config/locale/darwin/ctype_members.cc
    trunk/libstdc++-v3/config/locale/generic/c_locale.cc
    trunk/libstdc++-v3/config/locale/generic/c_locale.h
    trunk/libstdc++-v3/config/locale/generic/codecvt_members.cc
    trunk/libstdc++-v3/config/locale/generic/collate_members.cc
    trunk/libstdc++-v3/config/locale/generic/ctype_members.cc
    trunk/libstdc++-v3/config/locale/generic/messages_members.cc
    trunk/libstdc++-v3/config/locale/generic/messages_members.h
    trunk/libstdc++-v3/config/locale/generic/monetary_members.cc
    trunk/libstdc++-v3/config/locale/generic/numeric_members.cc
    trunk/libstdc++-v3/config/locale/generic/time_members.cc
    trunk/libstdc++-v3/config/locale/generic/time_members.h
    trunk/libstdc++-v3/config/locale/gnu/c_locale.cc
    trunk/libstdc++-v3/config/locale/gnu/c_locale.h
    trunk/libstdc++-v3/config/locale/gnu/codecvt_members.cc
    trunk/libstdc++-v3/config/locale/gnu/collate_members.cc
    trunk/libstdc++-v3/config/locale/gnu/ctype_members.cc
    trunk/libstdc++-v3/config/locale/gnu/messages_members.cc
    trunk/libstdc++-v3/config/locale/gnu/messages_members.h
    trunk/libstdc++-v3/config/locale/gnu/monetary_members.cc
    trunk/libstdc++-v3/config/locale/gnu/numeric_members.cc
    trunk/libstdc++-v3/config/locale/gnu/time_members.cc
    trunk/libstdc++-v3/config/locale/gnu/time_members.h
    trunk/libstdc++-v3/config/locale/ieee_1003.1-2001/c_locale.cc
    trunk/libstdc++-v3/config/locale/ieee_1003.1-2001/c_locale.h
    trunk/libstdc++-v3/config/locale/ieee_1003.1-2001/messages_members.cc
    trunk/libstdc++-v3/config/locale/ieee_1003.1-2001/messages_members.h
    trunk/libstdc++-v3/config/os/aix/atomicity.h
    trunk/libstdc++-v3/config/os/aix/ctype_base.h
    trunk/libstdc++-v3/config/os/aix/ctype_inline.h
    trunk/libstdc++-v3/config/os/bionic/ctype_base.h
    trunk/libstdc++-v3/config/os/bionic/ctype_inline.h
    trunk/libstdc++-v3/config/os/bsd/darwin/ctype_base.h
    trunk/libstdc++-v3/config/os/bsd/darwin/ctype_inline.h
    trunk/libstdc++-v3/config/os/bsd/freebsd/ctype_base.h
    trunk/libstdc++-v3/config/os/bsd/freebsd/ctype_inline.h
    trunk/libstdc++-v3/config/os/bsd/netbsd/ctype_base.h
    trunk/libstdc++-v3/config/os/bsd/netbsd/ctype_inline.h
    trunk/libstdc++-v3/config/os/djgpp/ctype_base.h
    trunk/libstdc++-v3/config/os/djgpp/ctype_inline.h
    trunk/libstdc++-v3/config/os/djgpp/error_constants.h
    trunk/libstdc++-v3/config/os/generic/ctype_base.h
    trunk/libstdc++-v3/config/os/generic/ctype_inline.h
    trunk/libstdc++-v3/config/os/generic/error_constants.h
    trunk/libstdc++-v3/config/os/gnu-linux/ctype_base.h
    trunk/libstdc++-v3/config/os/gnu-linux/ctype_inline.h
    trunk/libstdc++-v3/config/os/hpux/ctype_base.h
    trunk/libstdc++-v3/config/os/hpux/ctype_inline.h
    trunk/libstdc++-v3/config/os/hpux/os_defines.h
    trunk/libstdc++-v3/config/os/irix/atomicity.h
    trunk/libstdc++-v3/config/os/irix/irix6.5/ctype_base.h
    trunk/libstdc++-v3/config/os/irix/irix6.5/ctype_inline.h
    trunk/libstdc++-v3/config/os/mingw32/ctype_base.h
    trunk/libstdc++-v3/config/os/mingw32/ctype_inline.h
    trunk/libstdc++-v3/config/os/mingw32/error_constants.h
    trunk/libstdc++-v3/config/os/newlib/ctype_base.h
    trunk/libstdc++-v3/config/os/newlib/ctype_inline.h
    trunk/libstdc++-v3/config/os/qnx/qnx6.1/ctype_base.h
    trunk/libstdc++-v3/config/os/qnx/qnx6.1/ctype_inline.h
    trunk/libstdc++-v3/config/os/solaris/solaris2.7/ctype_base.h
    trunk/libstdc++-v3/config/os/solaris/solaris2.7/ctype_inline.h
    trunk/libstdc++-v3/config/os/tpf/ctype_base.h
    trunk/libstdc++-v3/config/os/tpf/ctype_inline.h
    trunk/libstdc++-v3/config/os/uclibc/ctype_base.h
    trunk/libstdc++-v3/config/os/uclibc/ctype_inline.h
    trunk/libstdc++-v3/config/os/vxworks/ctype_base.h
    trunk/libstdc++-v3/config/os/vxworks/ctype_inline.h
    trunk/libstdc++-v3/doc/doxygen/user.cfg.in
    trunk/libstdc++-v3/include/backward/auto_ptr.h
    trunk/libstdc++-v3/include/backward/binders.h
    trunk/libstdc++-v3/include/backward/hash_fun.h
    trunk/libstdc++-v3/include/backward/hash_map
    trunk/libstdc++-v3/include/backward/hash_set
    trunk/libstdc++-v3/include/backward/hashtable.h
    trunk/libstdc++-v3/include/backward/strstream
    trunk/libstdc++-v3/include/bits/algorithmfwd.h
    trunk/libstdc++-v3/include/bits/allocator.h
    trunk/libstdc++-v3/include/bits/atomic_0.h
    trunk/libstdc++-v3/include/bits/atomic_2.h
    trunk/libstdc++-v3/include/bits/atomic_base.h
    trunk/libstdc++-v3/include/bits/basic_ios.h
    trunk/libstdc++-v3/include/bits/basic_ios.tcc
    trunk/libstdc++-v3/include/bits/basic_string.h
    trunk/libstdc++-v3/include/bits/basic_string.tcc
    trunk/libstdc++-v3/include/bits/boost_concept_check.h
    trunk/libstdc++-v3/include/bits/c++config
    trunk/libstdc++-v3/include/bits/char_traits.h
    trunk/libstdc++-v3/include/bits/codecvt.h
    trunk/libstdc++-v3/include/bits/cpp_type_traits.h
    trunk/libstdc++-v3/include/bits/deque.tcc
    trunk/libstdc++-v3/include/bits/forward_list.h
    trunk/libstdc++-v3/include/bits/forward_list.tcc
    trunk/libstdc++-v3/include/bits/fstream.tcc
    trunk/libstdc++-v3/include/bits/functexcept.h
    trunk/libstdc++-v3/include/bits/functional_hash.h
    trunk/libstdc++-v3/include/bits/gslice.h
    trunk/libstdc++-v3/include/bits/gslice_array.h
    trunk/libstdc++-v3/include/bits/hashtable.h
    trunk/libstdc++-v3/include/bits/hashtable_policy.h
    trunk/libstdc++-v3/include/bits/indirect_array.h
    trunk/libstdc++-v3/include/bits/ios_base.h
    trunk/libstdc++-v3/include/bits/istream.tcc
    trunk/libstdc++-v3/include/bits/list.tcc
    trunk/libstdc++-v3/include/bits/locale_classes.h
    trunk/libstdc++-v3/include/bits/locale_classes.tcc
    trunk/libstdc++-v3/include/bits/locale_facets.h
    trunk/libstdc++-v3/include/bits/locale_facets.tcc
    trunk/libstdc++-v3/include/bits/locale_facets_nonio.h
    trunk/libstdc++-v3/include/bits/locale_facets_nonio.tcc
    trunk/libstdc++-v3/include/bits/localefwd.h
    trunk/libstdc++-v3/include/bits/mask_array.h
    trunk/libstdc++-v3/include/bits/move.h
    trunk/libstdc++-v3/include/bits/ostream.tcc
    trunk/libstdc++-v3/include/bits/ostream_insert.h
    trunk/libstdc++-v3/include/bits/postypes.h
    trunk/libstdc++-v3/include/bits/random.h
    trunk/libstdc++-v3/include/bits/random.tcc
    trunk/libstdc++-v3/include/bits/range_access.h
    trunk/libstdc++-v3/include/bits/regex.h
    trunk/libstdc++-v3/include/bits/regex_compiler.h
    trunk/libstdc++-v3/include/bits/regex_constants.h
    trunk/libstdc++-v3/include/bits/regex_cursor.h
    trunk/libstdc++-v3/include/bits/regex_error.h
    trunk/libstdc++-v3/include/bits/regex_grep_matcher.h
    trunk/libstdc++-v3/include/bits/regex_grep_matcher.tcc
    trunk/libstdc++-v3/include/bits/regex_nfa.h
    trunk/libstdc++-v3/include/bits/regex_nfa.tcc
    trunk/libstdc++-v3/include/bits/shared_ptr.h
    trunk/libstdc++-v3/include/bits/shared_ptr_base.h
    trunk/libstdc++-v3/include/bits/slice_array.h
    trunk/libstdc++-v3/include/bits/sstream.tcc
    trunk/libstdc++-v3/include/bits/stl_algo.h
    trunk/libstdc++-v3/include/bits/stl_algobase.h
    trunk/libstdc++-v3/include/bits/stl_bvector.h
    trunk/libstdc++-v3/include/bits/stl_construct.h
    trunk/libstdc++-v3/include/bits/stl_deque.h
    trunk/libstdc++-v3/include/bits/stl_function.h
    trunk/libstdc++-v3/include/bits/stl_heap.h
    trunk/libstdc++-v3/include/bits/stl_iterator.h
    trunk/libstdc++-v3/include/bits/stl_iterator_base_funcs.h
    trunk/libstdc++-v3/include/bits/stl_iterator_base_types.h
    trunk/libstdc++-v3/include/bits/stl_list.h
    trunk/libstdc++-v3/include/bits/stl_map.h
    trunk/libstdc++-v3/include/bits/stl_multimap.h
    trunk/libstdc++-v3/include/bits/stl_multiset.h
    trunk/libstdc++-v3/include/bits/stl_numeric.h
    trunk/libstdc++-v3/include/bits/stl_pair.h
    trunk/libstdc++-v3/include/bits/stl_queue.h
    trunk/libstdc++-v3/include/bits/stl_raw_storage_iter.h
    trunk/libstdc++-v3/include/bits/stl_relops.h
    trunk/libstdc++-v3/include/bits/stl_set.h
    trunk/libstdc++-v3/include/bits/stl_stack.h
    trunk/libstdc++-v3/include/bits/stl_tempbuf.h
    trunk/libstdc++-v3/include/bits/stl_tree.h
    trunk/libstdc++-v3/include/bits/stl_uninitialized.h
    trunk/libstdc++-v3/include/bits/stl_vector.h
    trunk/libstdc++-v3/include/bits/stream_iterator.h
    trunk/libstdc++-v3/include/bits/streambuf.tcc
    trunk/libstdc++-v3/include/bits/streambuf_iterator.h
    trunk/libstdc++-v3/include/bits/stringfwd.h
    trunk/libstdc++-v3/include/bits/unique_ptr.h
    trunk/libstdc++-v3/include/bits/unordered_map.h
    trunk/libstdc++-v3/include/bits/unordered_set.h
    trunk/libstdc++-v3/include/bits/valarray_after.h
    trunk/libstdc++-v3/include/bits/valarray_array.h
    trunk/libstdc++-v3/include/bits/valarray_array.tcc
    trunk/libstdc++-v3/include/bits/valarray_before.h
    trunk/libstdc++-v3/include/bits/vector.tcc
    trunk/libstdc++-v3/include/c/cmath
    trunk/libstdc++-v3/include/c/cwchar
    trunk/libstdc++-v3/include/c_compatibility/fenv.h
    trunk/libstdc++-v3/include/c_compatibility/inttypes.h
    trunk/libstdc++-v3/include/c_compatibility/stdint.h
    trunk/libstdc++-v3/include/c_global/cctype
    trunk/libstdc++-v3/include/c_global/cfenv
    trunk/libstdc++-v3/include/c_global/cinttypes
    trunk/libstdc++-v3/include/c_global/clocale
    trunk/libstdc++-v3/include/c_global/cmath
    trunk/libstdc++-v3/include/c_global/csetjmp
    trunk/libstdc++-v3/include/c_global/csignal
    trunk/libstdc++-v3/include/c_global/cstdarg
    trunk/libstdc++-v3/include/c_global/cstdint
    trunk/libstdc++-v3/include/c_global/cstdio
    trunk/libstdc++-v3/include/c_global/cstdlib
    trunk/libstdc++-v3/include/c_global/cstring
    trunk/libstdc++-v3/include/c_global/ctime
    trunk/libstdc++-v3/include/c_global/cwchar
    trunk/libstdc++-v3/include/c_global/cwctype
    trunk/libstdc++-v3/include/c_std/cctype
    trunk/libstdc++-v3/include/c_std/clocale
    trunk/libstdc++-v3/include/c_std/cmath
    trunk/libstdc++-v3/include/c_std/csetjmp
    trunk/libstdc++-v3/include/c_std/csignal
    trunk/libstdc++-v3/include/c_std/cstdarg
    trunk/libstdc++-v3/include/c_std/cstdio
    trunk/libstdc++-v3/include/c_std/cstdlib
    trunk/libstdc++-v3/include/c_std/cstring
    trunk/libstdc++-v3/include/c_std/ctime
    trunk/libstdc++-v3/include/c_std/cwchar
    trunk/libstdc++-v3/include/c_std/cwctype
    trunk/libstdc++-v3/include/debug/bitset
    trunk/libstdc++-v3/include/debug/debug.h
    trunk/libstdc++-v3/include/debug/deque
    trunk/libstdc++-v3/include/debug/forward_list
    trunk/libstdc++-v3/include/debug/list
    trunk/libstdc++-v3/include/debug/map.h
    trunk/libstdc++-v3/include/debug/multimap.h
    trunk/libstdc++-v3/include/debug/multiset.h
    trunk/libstdc++-v3/include/debug/set.h
    trunk/libstdc++-v3/include/debug/unordered_map
    trunk/libstdc++-v3/include/debug/unordered_set
    trunk/libstdc++-v3/include/debug/vector
    trunk/libstdc++-v3/include/decimal/decimal
    trunk/libstdc++-v3/include/decimal/decimal.h
    trunk/libstdc++-v3/include/ext/algorithm
    trunk/libstdc++-v3/include/ext/array_allocator.h
    trunk/libstdc++-v3/include/ext/atomicity.h
    trunk/libstdc++-v3/include/ext/bitmap_allocator.h
    trunk/libstdc++-v3/include/ext/cast.h
    trunk/libstdc++-v3/include/ext/codecvt_specializations.h
    trunk/libstdc++-v3/include/ext/concurrence.h
    trunk/libstdc++-v3/include/ext/debug_allocator.h
    trunk/libstdc++-v3/include/ext/enc_filebuf.h
    trunk/libstdc++-v3/include/ext/extptr_allocator.h
    trunk/libstdc++-v3/include/ext/functional
    trunk/libstdc++-v3/include/ext/iterator
    trunk/libstdc++-v3/include/ext/malloc_allocator.h
    trunk/libstdc++-v3/include/ext/memory
    trunk/libstdc++-v3/include/ext/mt_allocator.h
    trunk/libstdc++-v3/include/ext/new_allocator.h
    trunk/libstdc++-v3/include/ext/numeric
    trunk/libstdc++-v3/include/ext/numeric_traits.h
    trunk/libstdc++-v3/include/ext/pb_ds/detail/debug_map_base.hpp
    trunk/libstdc++-v3/include/ext/pod_char_traits.h
    trunk/libstdc++-v3/include/ext/pointer.h
    trunk/libstdc++-v3/include/ext/pool_allocator.h
    trunk/libstdc++-v3/include/ext/rb_tree
    trunk/libstdc++-v3/include/ext/rc_string_base.h
    trunk/libstdc++-v3/include/ext/rope
    trunk/libstdc++-v3/include/ext/ropeimpl.h
    trunk/libstdc++-v3/include/ext/slist
    trunk/libstdc++-v3/include/ext/sso_string_base.h
    trunk/libstdc++-v3/include/ext/stdio_filebuf.h
    trunk/libstdc++-v3/include/ext/stdio_sync_filebuf.h
    trunk/libstdc++-v3/include/ext/string_conversions.h
    trunk/libstdc++-v3/include/ext/throw_allocator.h
    trunk/libstdc++-v3/include/ext/type_traits.h
    trunk/libstdc++-v3/include/ext/typelist.h
    trunk/libstdc++-v3/include/ext/vstring.h
    trunk/libstdc++-v3/include/ext/vstring.tcc
    trunk/libstdc++-v3/include/ext/vstring_fwd.h
    trunk/libstdc++-v3/include/ext/vstring_util.h
    trunk/libstdc++-v3/include/parallel/algo.h
    trunk/libstdc++-v3/include/parallel/algobase.h
    trunk/libstdc++-v3/include/parallel/algorithmfwd.h
    trunk/libstdc++-v3/include/parallel/base.h
    trunk/libstdc++-v3/include/parallel/numeric
    trunk/libstdc++-v3/include/parallel/numericfwd.h
    trunk/libstdc++-v3/include/profile/base.h
    trunk/libstdc++-v3/include/profile/bitset
    trunk/libstdc++-v3/include/profile/deque
    trunk/libstdc++-v3/include/profile/forward_list
    trunk/libstdc++-v3/include/profile/impl/profiler_node.h
    trunk/libstdc++-v3/include/profile/impl/profiler_trace.h
    trunk/libstdc++-v3/include/profile/iterator_tracker.h
    trunk/libstdc++-v3/include/profile/list
    trunk/libstdc++-v3/include/profile/map.h
    trunk/libstdc++-v3/include/profile/multimap.h
    trunk/libstdc++-v3/include/profile/multiset.h
    trunk/libstdc++-v3/include/profile/set.h
    trunk/libstdc++-v3/include/profile/unordered_map
    trunk/libstdc++-v3/include/profile/unordered_set
    trunk/libstdc++-v3/include/profile/vector
    trunk/libstdc++-v3/include/std/array
    trunk/libstdc++-v3/include/std/atomic
    trunk/libstdc++-v3/include/std/bitset
    trunk/libstdc++-v3/include/std/chrono
    trunk/libstdc++-v3/include/std/complex
    trunk/libstdc++-v3/include/std/condition_variable
    trunk/libstdc++-v3/include/std/fstream
    trunk/libstdc++-v3/include/std/functional
    trunk/libstdc++-v3/include/std/future
    trunk/libstdc++-v3/include/std/iomanip
    trunk/libstdc++-v3/include/std/iosfwd
    trunk/libstdc++-v3/include/std/iostream
    trunk/libstdc++-v3/include/std/istream
    trunk/libstdc++-v3/include/std/limits
    trunk/libstdc++-v3/include/std/mutex
    trunk/libstdc++-v3/include/std/ostream
    trunk/libstdc++-v3/include/std/ratio
    trunk/libstdc++-v3/include/std/sstream
    trunk/libstdc++-v3/include/std/stdexcept
    trunk/libstdc++-v3/include/std/streambuf
    trunk/libstdc++-v3/include/std/system_error
    trunk/libstdc++-v3/include/std/thread
    trunk/libstdc++-v3/include/std/tuple
    trunk/libstdc++-v3/include/std/type_traits
    trunk/libstdc++-v3/include/std/typeindex
    trunk/libstdc++-v3/include/std/utility
    trunk/libstdc++-v3/include/std/valarray
    trunk/libstdc++-v3/include/tr1/array
    trunk/libstdc++-v3/include/tr1/bessel_function.tcc
    trunk/libstdc++-v3/include/tr1/beta_function.tcc
    trunk/libstdc++-v3/include/tr1/cctype
    trunk/libstdc++-v3/include/tr1/cfenv
    trunk/libstdc++-v3/include/tr1/cinttypes
    trunk/libstdc++-v3/include/tr1/cmath
    trunk/libstdc++-v3/include/tr1/complex
    trunk/libstdc++-v3/include/tr1/cstdint
    trunk/libstdc++-v3/include/tr1/cstdio
    trunk/libstdc++-v3/include/tr1/cstdlib
    trunk/libstdc++-v3/include/tr1/cwchar
    trunk/libstdc++-v3/include/tr1/cwctype
    trunk/libstdc++-v3/include/tr1/ell_integral.tcc
    trunk/libstdc++-v3/include/tr1/exp_integral.tcc
    trunk/libstdc++-v3/include/tr1/functional
    trunk/libstdc++-v3/include/tr1/functional_hash.h
    trunk/libstdc++-v3/include/tr1/gamma.tcc
    trunk/libstdc++-v3/include/tr1/hashtable.h
    trunk/libstdc++-v3/include/tr1/hashtable_policy.h
    trunk/libstdc++-v3/include/tr1/hypergeometric.tcc
    trunk/libstdc++-v3/include/tr1/legendre_function.tcc
    trunk/libstdc++-v3/include/tr1/modified_bessel_func.tcc
    trunk/libstdc++-v3/include/tr1/poly_hermite.tcc
    trunk/libstdc++-v3/include/tr1/poly_laguerre.tcc
    trunk/libstdc++-v3/include/tr1/random.h
    trunk/libstdc++-v3/include/tr1/random.tcc
    trunk/libstdc++-v3/include/tr1/regex
    trunk/libstdc++-v3/include/tr1/riemann_zeta.tcc
    trunk/libstdc++-v3/include/tr1/shared_ptr.h
    trunk/libstdc++-v3/include/tr1/special_function_util.h
    trunk/libstdc++-v3/include/tr1/tuple
    trunk/libstdc++-v3/include/tr1/type_traits
    trunk/libstdc++-v3/include/tr1/unordered_map.h
    trunk/libstdc++-v3/include/tr1/unordered_set.h
    trunk/libstdc++-v3/include/tr1/utility
    trunk/libstdc++-v3/libsupc++/del_op.cc
    trunk/libstdc++-v3/libsupc++/exception
    trunk/libstdc++-v3/libsupc++/hash_bytes.cc
    trunk/libstdc++-v3/libsupc++/hash_bytes.h
    trunk/libstdc++-v3/libsupc++/vterminate.cc
    trunk/libstdc++-v3/src/Makefile.am
    trunk/libstdc++-v3/src/Makefile.in
    trunk/libstdc++-v3/src/allocator-inst.cc
    trunk/libstdc++-v3/src/atomic.cc
    trunk/libstdc++-v3/src/bitmap_allocator.cc
    trunk/libstdc++-v3/src/chrono.cc
    trunk/libstdc++-v3/src/codecvt.cc
    trunk/libstdc++-v3/src/compatibility-c++0x.cc
    trunk/libstdc++-v3/src/compatibility-debug_list.cc
    trunk/libstdc++-v3/src/compatibility-ldbl.cc
    trunk/libstdc++-v3/src/compatibility-list.cc
    trunk/libstdc++-v3/src/compatibility-parallel_list.cc
    trunk/libstdc++-v3/src/compatibility.cc
    trunk/libstdc++-v3/src/complex_io.cc
    trunk/libstdc++-v3/src/concept-inst.cc
    trunk/libstdc++-v3/src/condition_variable.cc
    trunk/libstdc++-v3/src/ctype.cc
    trunk/libstdc++-v3/src/ext-inst.cc
    trunk/libstdc++-v3/src/fstream-inst.cc
    trunk/libstdc++-v3/src/functexcept.cc
    trunk/libstdc++-v3/src/future.cc
    trunk/libstdc++-v3/src/globals_io.cc
    trunk/libstdc++-v3/src/hash_c++0x.cc
    trunk/libstdc++-v3/src/hash_tr1.cc
    trunk/libstdc++-v3/src/hashtable-aux.cc
    trunk/libstdc++-v3/src/hashtable_c++0x.cc
    trunk/libstdc++-v3/src/hashtable_tr1.cc
    trunk/libstdc++-v3/src/ios-inst.cc
    trunk/libstdc++-v3/src/ios.cc
    trunk/libstdc++-v3/src/ios_failure.cc
    trunk/libstdc++-v3/src/ios_init.cc
    trunk/libstdc++-v3/src/ios_locale.cc
    trunk/libstdc++-v3/src/iostream-inst.cc
    trunk/libstdc++-v3/src/istream-inst.cc
    trunk/libstdc++-v3/src/istream.cc
    trunk/libstdc++-v3/src/limits.cc
    trunk/libstdc++-v3/src/list.cc
    trunk/libstdc++-v3/src/locale-inst.cc
    trunk/libstdc++-v3/src/locale.cc
    trunk/libstdc++-v3/src/locale_facets.cc
    trunk/libstdc++-v3/src/locale_init.cc
    trunk/libstdc++-v3/src/localename.cc
    trunk/libstdc++-v3/src/misc-inst.cc
    trunk/libstdc++-v3/src/mt_allocator.cc
    trunk/libstdc++-v3/src/mutex.cc
    trunk/libstdc++-v3/src/ostream-inst.cc
    trunk/libstdc++-v3/src/placeholders.cc
    trunk/libstdc++-v3/src/pool_allocator.cc
    trunk/libstdc++-v3/src/sstream-inst.cc
    trunk/libstdc++-v3/src/stdexcept.cc
    trunk/libstdc++-v3/src/streambuf-inst.cc
    trunk/libstdc++-v3/src/streambuf.cc
    trunk/libstdc++-v3/src/string-inst.cc
    trunk/libstdc++-v3/src/strstream.cc
    trunk/libstdc++-v3/src/system_error.cc
    trunk/libstdc++-v3/src/thread.cc
    trunk/libstdc++-v3/src/tree.cc
    trunk/libstdc++-v3/src/valarray-inst.cc
    trunk/libstdc++-v3/testsuite/20_util/auto_ptr/assign_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/declval/requirements/1_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/duration/requirements/typedefs_neg1.cc
    trunk/libstdc++-v3/testsuite/20_util/duration/requirements/typedefs_neg2.cc
    trunk/libstdc++-v3/testsuite/20_util/duration/requirements/typedefs_neg3.cc
    trunk/libstdc++-v3/testsuite/20_util/forward/c_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/forward/f_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/make_signed/requirements/typedefs_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/ratio/cons/cons_overflow_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/ratio/operations/ops_overflow_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/shared_ptr/cons/43820_neg.cc
    trunk/libstdc++-v3/testsuite/20_util/weak_ptr/comparison/cmp_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/deque/requirements/dr438/assign_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/deque/requirements/dr438/constructor_1_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/deque/requirements/dr438/constructor_2_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/deque/requirements/dr438/insert_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/forward_list/capacity/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/forward_list/requirements/dr438/assign_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/forward_list/requirements/dr438/constructor_1_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/forward_list/requirements/dr438/constructor_2_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/forward_list/requirements/dr438/insert_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/list/capacity/29134.cc
    trunk/libstdc++-v3/testsuite/23_containers/list/requirements/dr438/assign_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/list/requirements/dr438/constructor_1_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/list/requirements/dr438/constructor_2_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/list/requirements/dr438/insert_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/vector/bool/capacity/29134.cc
    trunk/libstdc++-v3/testsuite/23_containers/vector/bool/modifiers/insert/31370.cc
    trunk/libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/assign_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/constructor_1_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/constructor_2_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/insert_neg.cc
    trunk/libstdc++-v3/testsuite/25_algorithms/sort/35588.cc
    trunk/libstdc++-v3/testsuite/27_io/ios_base/cons/assign_neg.cc
    trunk/libstdc++-v3/testsuite/27_io/ios_base/cons/copy_neg.cc
    trunk/libstdc++-v3/testsuite/ext/profile/mutex_extensions_neg.cc
    trunk/libstdc++-v3/testsuite/ext/profile/profiler_algos.cc
    trunk/libstdc++-v3/testsuite/ext/type_traits/add_unsigned_floating_neg.cc
    trunk/libstdc++-v3/testsuite/ext/type_traits/add_unsigned_integer_neg.cc
    trunk/libstdc++-v3/testsuite/ext/type_traits/remove_unsigned_floating_neg.cc
    trunk/libstdc++-v3/testsuite/ext/type_traits/remove_unsigned_integer_neg.cc
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/shared_ptr/cons/43820_neg.cc
Comment 17 Diego Novillo 2011-02-02 18:07:01 UTC
Author: dnovillo
Date: Wed Feb  2 18:06:47 2011
New Revision: 169704

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=169704
Log:
2011-01-30  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/36104 part four
	* include/bits/c++config (_GLIBCXX_STD): Remove.
	(_GLIBCXX_STD_D, _GLIBCXX_PR): Now _GLIBCXX_STD_C.
	(_GLIBCXX_P): Now _GLIBCXX_STD_A.
	(_GLIBCXX_NAMESPACE_DEBUG, _GLIBCXX_NAMESPACE_PARALLEL,
	 _GLIBCXX_NAMESPACE_PROFILE, _GLIBCXX_NAMESPACE_VERSION): Remove.
	(_GLIBCXX_INLINE_DEBUG, _GLIBCXX_INLINE_PARALLEL,
	 _GLIBCXX_INLINE_PROFILE): Remove.
	(_GLIBCXX_BEGIN_NAMESPACE(X)): Remove.
	(_GLIBCXX_END_NAMESPACE): Remove.
	(_GLIBCXX_BEGIN_NESTED_NAMESPACE(X, Y)): Remove.
	(_GLIBCXX_END_NESTED_NAMESPACE): Remove.
	(_GLIBCXX_BEGIN_NAMESPACE_ALGO): Add.
	(_GLIBCXX_END_NAMESPACE_ALGO): Add.
	(_GLIBCXX_BEGIN_NAMESPACE_CONTAINER): Add.
	(_GLIBCXX_END_NAMESPACE_CONTAINER): Add.
	(_GLIBCXX_BEGIN_NAMESPACE_VERSION): Add.
	(_GLIBCXX_END_NAMESPACE_VERSION): Add.
	(_GLIBCXX_BEGIN_LDBL_NAMESPACE): To _GLIBCXX_BEGIN_NAMESPACE_LDBL.
	(_GLIBCXX_END_LDBL_NAMESPACE): To _GLIBCXX_END_NAMESPACE_LDBL.
	(_GLIBCXX_VISIBILITY_ATTR): Revert to _GLIBCXX_VISIBILITY.
	* include/*: Use new macros for namespace scope.
	* config/*: Same.
	* src/*: Same.

	* src/Makefile.am (sources): Remove debug_list.cc, add
	compatibility-debug_list-2.cc.
	(parallel_sources): Remove parallel_list.cc, add
	compatibility-parallel_list-2.cc.
	(compatibility-parallel_list-2.[o,lo]): New rule.
	* src/Makefile.in: Regenerate.
	* src/debug_list.cc: Remove.
	* src/parallel_list.cc: Remove.
	* src/compatibility-list-2.cc: New.
	* src/compatibility-debug_list-2.cc: New.
	* src/compatibility-parallel_list-2.cc: New.

	* doc/doxygen/user.cfg.in: Adjust macros.

	* testsuite/20_util/auto_ptr/assign_neg.cc: Adjust line numbers, macros.
	* testsuite/20_util/declval/requirements/1_neg.cc: Same.
	* testsuite/20_util/duration/requirements/typedefs_neg1.cc: Same.
	* testsuite/20_util/duration/requirements/typedefs_neg2.cc: Same.
	* testsuite/20_util/duration/requirements/typedefs_neg3.cc: Same.
	* testsuite/20_util/forward/c_neg.cc: Same.
	* testsuite/20_util/forward/f_neg.cc: Same.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc: Same.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc: Same.
	* testsuite/20_util/ratio/cons/cons_overflow_neg.cc: Same.
	* testsuite/20_util/ratio/operations/ops_overflow_neg.cc: Same.
	* testsuite/20_util/shared_ptr/cons/43820_neg.cc: Same.
	* testsuite/20_util/weak_ptr/comparison/cmp_neg.cc: Same.
	* testsuite/23_containers/deque/requirements/dr438/assign_neg.cc: Same.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/deque/requirements/dr438/insert_neg.cc: Same.
	* testsuite/23_containers/forward_list/capacity/1.cc: Same.
	* testsuite/23_containers/forward_list/requirements/dr438/
	assign_neg.cc: Same.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/forward_list/requirements/dr438/
	insert_neg.cc: Same.
	* testsuite/23_containers/list/capacity/29134.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/assign_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/insert_neg.cc: Same.
	* testsuite/23_containers/vector/bool/capacity/29134.cc: Same.
	* testsuite/23_containers/vector/bool/modifiers/insert/31370.cc: Same.
	* testsuite/23_containers/vector/requirements/dr438/assign_neg.cc: Same.
	* testsuite/23_containers/vector/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/vector/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/vector/requirements/dr438/insert_neg.cc: Same.
	* testsuite/25_algorithms/sort/35588.cc: Same.
	* testsuite/27_io/ios_base/cons/assign_neg.cc: Same.
	* testsuite/27_io/ios_base/cons/copy_neg.cc: Same.
	* testsuite/ext/profile/mutex_extensions_neg.cc: Same.
	* testsuite/ext/profile/profiler_algos.cc: Same.
	* testsuite/ext/type_traits/add_unsigned_floating_neg.cc: Same.
	* testsuite/ext/type_traits/add_unsigned_integer_neg.cc: Same.
	* testsuite/ext/type_traits/remove_unsigned_floating_neg.cc: Same.
	* testsuite/ext/type_traits/remove_unsigned_integer_neg.cc: Same.
	* testsuite/tr1/2_general_utilities/shared_ptr/cons/43820_neg.cc: Same.

Added:
    branches/google/integration/libstdc++-v3/src/compatibility-debug_list-2.cc
      - copied, changed from r169703, branches/google/integration/libstdc++-v3/src/debug_list.cc
    branches/google/integration/libstdc++-v3/src/compatibility-list-2.cc
      - copied, changed from r169703, branches/google/integration/libstdc++-v3/src/compatibility-list.cc
    branches/google/integration/libstdc++-v3/src/compatibility-parallel_list-2.cc
      - copied, changed from r169703, branches/google/integration/libstdc++-v3/src/compatibility-parallel_list.cc
Removed:
    branches/google/integration/libstdc++-v3/src/debug_list.cc
    branches/google/integration/libstdc++-v3/src/parallel_list.cc
Modified:
    branches/google/integration/libstdc++-v3/ChangeLog
    branches/google/integration/libstdc++-v3/config/abi/pre/gnu-versioned-namespace.ver
    branches/google/integration/libstdc++-v3/config/abi/pre/gnu.ver
    branches/google/integration/libstdc++-v3/config/cpu/cris/atomicity.h
    branches/google/integration/libstdc++-v3/config/cpu/generic/atomicity_builtins/atomicity.h
    branches/google/integration/libstdc++-v3/config/cpu/generic/atomicity_mutex/atomicity.h
    branches/google/integration/libstdc++-v3/config/cpu/hppa/atomicity.h
    branches/google/integration/libstdc++-v3/config/cpu/i386/atomicity.h
    branches/google/integration/libstdc++-v3/config/cpu/i486/atomicity.h
    branches/google/integration/libstdc++-v3/config/cpu/ia64/atomic_word.h
    branches/google/integration/libstdc++-v3/config/cpu/m68k/atomicity.h
    branches/google/integration/libstdc++-v3/config/cpu/sh/atomicity.h
    branches/google/integration/libstdc++-v3/config/cpu/sparc/atomicity.h
    branches/google/integration/libstdc++-v3/config/io/basic_file_stdio.cc
    branches/google/integration/libstdc++-v3/config/io/basic_file_stdio.h
    branches/google/integration/libstdc++-v3/config/io/c_io_stdio.h
    branches/google/integration/libstdc++-v3/config/locale/darwin/ctype_members.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/c_locale.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/c_locale.h
    branches/google/integration/libstdc++-v3/config/locale/generic/codecvt_members.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/collate_members.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/ctype_members.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/messages_members.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/messages_members.h
    branches/google/integration/libstdc++-v3/config/locale/generic/monetary_members.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/numeric_members.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/time_members.cc
    branches/google/integration/libstdc++-v3/config/locale/generic/time_members.h
    branches/google/integration/libstdc++-v3/config/locale/gnu/c_locale.cc
    branches/google/integration/libstdc++-v3/config/locale/gnu/c_locale.h
    branches/google/integration/libstdc++-v3/config/locale/gnu/codecvt_members.cc
    branches/google/integration/libstdc++-v3/config/locale/gnu/collate_members.cc
    branches/google/integration/libstdc++-v3/config/locale/gnu/ctype_members.cc
    branches/google/integration/libstdc++-v3/config/locale/gnu/messages_members.cc
    branches/google/integration/libstdc++-v3/config/locale/gnu/messages_members.h
    branches/google/integration/libstdc++-v3/config/locale/gnu/monetary_members.cc
    branches/google/integration/libstdc++-v3/config/locale/gnu/numeric_members.cc
    branches/google/integration/libstdc++-v3/config/locale/gnu/time_members.cc
    branches/google/integration/libstdc++-v3/config/locale/gnu/time_members.h
    branches/google/integration/libstdc++-v3/config/locale/ieee_1003.1-2001/c_locale.cc
    branches/google/integration/libstdc++-v3/config/locale/ieee_1003.1-2001/c_locale.h
    branches/google/integration/libstdc++-v3/config/locale/ieee_1003.1-2001/messages_members.cc
    branches/google/integration/libstdc++-v3/config/locale/ieee_1003.1-2001/messages_members.h
    branches/google/integration/libstdc++-v3/config/os/aix/atomicity.h
    branches/google/integration/libstdc++-v3/config/os/aix/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/aix/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/bionic/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/bionic/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/bsd/darwin/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/bsd/darwin/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/bsd/freebsd/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/bsd/freebsd/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/bsd/netbsd/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/bsd/netbsd/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/djgpp/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/djgpp/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/djgpp/error_constants.h
    branches/google/integration/libstdc++-v3/config/os/generic/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/generic/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/generic/error_constants.h
    branches/google/integration/libstdc++-v3/config/os/gnu-linux/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/gnu-linux/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/hpux/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/hpux/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/hpux/os_defines.h
    branches/google/integration/libstdc++-v3/config/os/irix/atomicity.h
    branches/google/integration/libstdc++-v3/config/os/irix/irix6.5/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/irix/irix6.5/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/mingw32/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/mingw32/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/mingw32/error_constants.h
    branches/google/integration/libstdc++-v3/config/os/newlib/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/newlib/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/qnx/qnx6.1/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/qnx/qnx6.1/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/solaris/solaris2.7/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/solaris/solaris2.7/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/tpf/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/tpf/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/uclibc/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/uclibc/ctype_inline.h
    branches/google/integration/libstdc++-v3/config/os/vxworks/ctype_base.h
    branches/google/integration/libstdc++-v3/config/os/vxworks/ctype_inline.h
    branches/google/integration/libstdc++-v3/doc/doxygen/user.cfg.in
    branches/google/integration/libstdc++-v3/include/backward/auto_ptr.h
    branches/google/integration/libstdc++-v3/include/backward/binders.h
    branches/google/integration/libstdc++-v3/include/backward/hash_fun.h
    branches/google/integration/libstdc++-v3/include/backward/hash_map
    branches/google/integration/libstdc++-v3/include/backward/hash_set
    branches/google/integration/libstdc++-v3/include/backward/hashtable.h
    branches/google/integration/libstdc++-v3/include/backward/strstream
    branches/google/integration/libstdc++-v3/include/bits/algorithmfwd.h
    branches/google/integration/libstdc++-v3/include/bits/allocator.h
    branches/google/integration/libstdc++-v3/include/bits/atomic_0.h
    branches/google/integration/libstdc++-v3/include/bits/atomic_2.h
    branches/google/integration/libstdc++-v3/include/bits/atomic_base.h
    branches/google/integration/libstdc++-v3/include/bits/basic_ios.h
    branches/google/integration/libstdc++-v3/include/bits/basic_ios.tcc
    branches/google/integration/libstdc++-v3/include/bits/basic_string.h
    branches/google/integration/libstdc++-v3/include/bits/basic_string.tcc
    branches/google/integration/libstdc++-v3/include/bits/boost_concept_check.h
    branches/google/integration/libstdc++-v3/include/bits/c++config
    branches/google/integration/libstdc++-v3/include/bits/char_traits.h
    branches/google/integration/libstdc++-v3/include/bits/codecvt.h
    branches/google/integration/libstdc++-v3/include/bits/cpp_type_traits.h
    branches/google/integration/libstdc++-v3/include/bits/deque.tcc
    branches/google/integration/libstdc++-v3/include/bits/forward_list.h
    branches/google/integration/libstdc++-v3/include/bits/forward_list.tcc
    branches/google/integration/libstdc++-v3/include/bits/fstream.tcc
    branches/google/integration/libstdc++-v3/include/bits/functexcept.h
    branches/google/integration/libstdc++-v3/include/bits/functional_hash.h
    branches/google/integration/libstdc++-v3/include/bits/gslice.h
    branches/google/integration/libstdc++-v3/include/bits/gslice_array.h
    branches/google/integration/libstdc++-v3/include/bits/hashtable.h
    branches/google/integration/libstdc++-v3/include/bits/hashtable_policy.h
    branches/google/integration/libstdc++-v3/include/bits/indirect_array.h
    branches/google/integration/libstdc++-v3/include/bits/ios_base.h
    branches/google/integration/libstdc++-v3/include/bits/istream.tcc
    branches/google/integration/libstdc++-v3/include/bits/list.tcc
    branches/google/integration/libstdc++-v3/include/bits/locale_classes.h
    branches/google/integration/libstdc++-v3/include/bits/locale_classes.tcc
    branches/google/integration/libstdc++-v3/include/bits/locale_facets.h
    branches/google/integration/libstdc++-v3/include/bits/locale_facets.tcc
    branches/google/integration/libstdc++-v3/include/bits/locale_facets_nonio.h
    branches/google/integration/libstdc++-v3/include/bits/locale_facets_nonio.tcc
    branches/google/integration/libstdc++-v3/include/bits/localefwd.h
    branches/google/integration/libstdc++-v3/include/bits/mask_array.h
    branches/google/integration/libstdc++-v3/include/bits/move.h
    branches/google/integration/libstdc++-v3/include/bits/ostream.tcc
    branches/google/integration/libstdc++-v3/include/bits/ostream_insert.h
    branches/google/integration/libstdc++-v3/include/bits/postypes.h
    branches/google/integration/libstdc++-v3/include/bits/random.h
    branches/google/integration/libstdc++-v3/include/bits/random.tcc
    branches/google/integration/libstdc++-v3/include/bits/range_access.h
    branches/google/integration/libstdc++-v3/include/bits/regex.h
    branches/google/integration/libstdc++-v3/include/bits/regex_compiler.h
    branches/google/integration/libstdc++-v3/include/bits/regex_constants.h
    branches/google/integration/libstdc++-v3/include/bits/regex_cursor.h
    branches/google/integration/libstdc++-v3/include/bits/regex_error.h
    branches/google/integration/libstdc++-v3/include/bits/regex_grep_matcher.h
    branches/google/integration/libstdc++-v3/include/bits/regex_grep_matcher.tcc
    branches/google/integration/libstdc++-v3/include/bits/regex_nfa.h
    branches/google/integration/libstdc++-v3/include/bits/regex_nfa.tcc
    branches/google/integration/libstdc++-v3/include/bits/shared_ptr.h
    branches/google/integration/libstdc++-v3/include/bits/shared_ptr_base.h
    branches/google/integration/libstdc++-v3/include/bits/slice_array.h
    branches/google/integration/libstdc++-v3/include/bits/sstream.tcc
    branches/google/integration/libstdc++-v3/include/bits/stl_algo.h
    branches/google/integration/libstdc++-v3/include/bits/stl_algobase.h
    branches/google/integration/libstdc++-v3/include/bits/stl_bvector.h
    branches/google/integration/libstdc++-v3/include/bits/stl_construct.h
    branches/google/integration/libstdc++-v3/include/bits/stl_deque.h
    branches/google/integration/libstdc++-v3/include/bits/stl_function.h
    branches/google/integration/libstdc++-v3/include/bits/stl_heap.h
    branches/google/integration/libstdc++-v3/include/bits/stl_iterator.h
    branches/google/integration/libstdc++-v3/include/bits/stl_iterator_base_funcs.h
    branches/google/integration/libstdc++-v3/include/bits/stl_iterator_base_types.h
    branches/google/integration/libstdc++-v3/include/bits/stl_list.h
    branches/google/integration/libstdc++-v3/include/bits/stl_map.h
    branches/google/integration/libstdc++-v3/include/bits/stl_multimap.h
    branches/google/integration/libstdc++-v3/include/bits/stl_multiset.h
    branches/google/integration/libstdc++-v3/include/bits/stl_numeric.h
    branches/google/integration/libstdc++-v3/include/bits/stl_pair.h
    branches/google/integration/libstdc++-v3/include/bits/stl_queue.h
    branches/google/integration/libstdc++-v3/include/bits/stl_raw_storage_iter.h
    branches/google/integration/libstdc++-v3/include/bits/stl_relops.h
    branches/google/integration/libstdc++-v3/include/bits/stl_set.h
    branches/google/integration/libstdc++-v3/include/bits/stl_stack.h
    branches/google/integration/libstdc++-v3/include/bits/stl_tempbuf.h
    branches/google/integration/libstdc++-v3/include/bits/stl_tree.h
    branches/google/integration/libstdc++-v3/include/bits/stl_uninitialized.h
    branches/google/integration/libstdc++-v3/include/bits/stl_vector.h
    branches/google/integration/libstdc++-v3/include/bits/stream_iterator.h
    branches/google/integration/libstdc++-v3/include/bits/streambuf.tcc
    branches/google/integration/libstdc++-v3/include/bits/streambuf_iterator.h
    branches/google/integration/libstdc++-v3/include/bits/stringfwd.h
    branches/google/integration/libstdc++-v3/include/bits/unique_ptr.h
    branches/google/integration/libstdc++-v3/include/bits/unordered_map.h
    branches/google/integration/libstdc++-v3/include/bits/unordered_set.h
    branches/google/integration/libstdc++-v3/include/bits/valarray_after.h
    branches/google/integration/libstdc++-v3/include/bits/valarray_array.h
    branches/google/integration/libstdc++-v3/include/bits/valarray_array.tcc
    branches/google/integration/libstdc++-v3/include/bits/valarray_before.h
    branches/google/integration/libstdc++-v3/include/bits/vector.tcc
    branches/google/integration/libstdc++-v3/include/c/cmath
    branches/google/integration/libstdc++-v3/include/c/cwchar
    branches/google/integration/libstdc++-v3/include/c_compatibility/fenv.h
    branches/google/integration/libstdc++-v3/include/c_compatibility/inttypes.h
    branches/google/integration/libstdc++-v3/include/c_compatibility/stdint.h
    branches/google/integration/libstdc++-v3/include/c_global/cctype
    branches/google/integration/libstdc++-v3/include/c_global/cfenv
    branches/google/integration/libstdc++-v3/include/c_global/cinttypes
    branches/google/integration/libstdc++-v3/include/c_global/clocale
    branches/google/integration/libstdc++-v3/include/c_global/cmath
    branches/google/integration/libstdc++-v3/include/c_global/csetjmp
    branches/google/integration/libstdc++-v3/include/c_global/csignal
    branches/google/integration/libstdc++-v3/include/c_global/cstdarg
    branches/google/integration/libstdc++-v3/include/c_global/cstdint
    branches/google/integration/libstdc++-v3/include/c_global/cstdio
    branches/google/integration/libstdc++-v3/include/c_global/cstdlib
    branches/google/integration/libstdc++-v3/include/c_global/cstring
    branches/google/integration/libstdc++-v3/include/c_global/ctime
    branches/google/integration/libstdc++-v3/include/c_global/cwchar
    branches/google/integration/libstdc++-v3/include/c_global/cwctype
    branches/google/integration/libstdc++-v3/include/c_std/cctype
    branches/google/integration/libstdc++-v3/include/c_std/clocale
    branches/google/integration/libstdc++-v3/include/c_std/cmath
    branches/google/integration/libstdc++-v3/include/c_std/csetjmp
    branches/google/integration/libstdc++-v3/include/c_std/csignal
    branches/google/integration/libstdc++-v3/include/c_std/cstdarg
    branches/google/integration/libstdc++-v3/include/c_std/cstdio
    branches/google/integration/libstdc++-v3/include/c_std/cstdlib
    branches/google/integration/libstdc++-v3/include/c_std/cstring
    branches/google/integration/libstdc++-v3/include/c_std/ctime
    branches/google/integration/libstdc++-v3/include/c_std/cwchar
    branches/google/integration/libstdc++-v3/include/c_std/cwctype
    branches/google/integration/libstdc++-v3/include/debug/bitset
    branches/google/integration/libstdc++-v3/include/debug/debug.h
    branches/google/integration/libstdc++-v3/include/debug/deque
    branches/google/integration/libstdc++-v3/include/debug/forward_list
    branches/google/integration/libstdc++-v3/include/debug/list
    branches/google/integration/libstdc++-v3/include/debug/map.h
    branches/google/integration/libstdc++-v3/include/debug/multimap.h
    branches/google/integration/libstdc++-v3/include/debug/multiset.h
    branches/google/integration/libstdc++-v3/include/debug/set.h
    branches/google/integration/libstdc++-v3/include/debug/unordered_map
    branches/google/integration/libstdc++-v3/include/debug/unordered_set
    branches/google/integration/libstdc++-v3/include/debug/vector
    branches/google/integration/libstdc++-v3/include/decimal/decimal
    branches/google/integration/libstdc++-v3/include/decimal/decimal.h
    branches/google/integration/libstdc++-v3/include/ext/algorithm
    branches/google/integration/libstdc++-v3/include/ext/array_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/atomicity.h
    branches/google/integration/libstdc++-v3/include/ext/bitmap_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/cast.h
    branches/google/integration/libstdc++-v3/include/ext/codecvt_specializations.h
    branches/google/integration/libstdc++-v3/include/ext/concurrence.h
    branches/google/integration/libstdc++-v3/include/ext/debug_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/enc_filebuf.h
    branches/google/integration/libstdc++-v3/include/ext/extptr_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/functional
    branches/google/integration/libstdc++-v3/include/ext/iterator
    branches/google/integration/libstdc++-v3/include/ext/malloc_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/memory
    branches/google/integration/libstdc++-v3/include/ext/mt_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/new_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/numeric
    branches/google/integration/libstdc++-v3/include/ext/numeric_traits.h
    branches/google/integration/libstdc++-v3/include/ext/pb_ds/detail/debug_map_base.hpp
    branches/google/integration/libstdc++-v3/include/ext/pod_char_traits.h
    branches/google/integration/libstdc++-v3/include/ext/pointer.h
    branches/google/integration/libstdc++-v3/include/ext/pool_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/rb_tree
    branches/google/integration/libstdc++-v3/include/ext/rc_string_base.h
    branches/google/integration/libstdc++-v3/include/ext/rope
    branches/google/integration/libstdc++-v3/include/ext/ropeimpl.h
    branches/google/integration/libstdc++-v3/include/ext/slist
    branches/google/integration/libstdc++-v3/include/ext/sso_string_base.h
    branches/google/integration/libstdc++-v3/include/ext/stdio_filebuf.h
    branches/google/integration/libstdc++-v3/include/ext/stdio_sync_filebuf.h
    branches/google/integration/libstdc++-v3/include/ext/string_conversions.h
    branches/google/integration/libstdc++-v3/include/ext/throw_allocator.h
    branches/google/integration/libstdc++-v3/include/ext/type_traits.h
    branches/google/integration/libstdc++-v3/include/ext/typelist.h
    branches/google/integration/libstdc++-v3/include/ext/vstring.h
    branches/google/integration/libstdc++-v3/include/ext/vstring.tcc
    branches/google/integration/libstdc++-v3/include/ext/vstring_fwd.h
    branches/google/integration/libstdc++-v3/include/ext/vstring_util.h
    branches/google/integration/libstdc++-v3/include/parallel/algo.h
    branches/google/integration/libstdc++-v3/include/parallel/algobase.h
    branches/google/integration/libstdc++-v3/include/parallel/algorithmfwd.h
    branches/google/integration/libstdc++-v3/include/parallel/base.h
    branches/google/integration/libstdc++-v3/include/parallel/numeric
    branches/google/integration/libstdc++-v3/include/parallel/numericfwd.h
    branches/google/integration/libstdc++-v3/include/profile/base.h
    branches/google/integration/libstdc++-v3/include/profile/bitset
    branches/google/integration/libstdc++-v3/include/profile/deque
    branches/google/integration/libstdc++-v3/include/profile/forward_list
    branches/google/integration/libstdc++-v3/include/profile/impl/profiler_node.h
    branches/google/integration/libstdc++-v3/include/profile/impl/profiler_trace.h
    branches/google/integration/libstdc++-v3/include/profile/iterator_tracker.h
    branches/google/integration/libstdc++-v3/include/profile/list
    branches/google/integration/libstdc++-v3/include/profile/map.h
    branches/google/integration/libstdc++-v3/include/profile/multimap.h
    branches/google/integration/libstdc++-v3/include/profile/multiset.h
    branches/google/integration/libstdc++-v3/include/profile/set.h
    branches/google/integration/libstdc++-v3/include/profile/unordered_map
    branches/google/integration/libstdc++-v3/include/profile/unordered_set
    branches/google/integration/libstdc++-v3/include/profile/vector
    branches/google/integration/libstdc++-v3/include/std/array
    branches/google/integration/libstdc++-v3/include/std/atomic
    branches/google/integration/libstdc++-v3/include/std/bitset
    branches/google/integration/libstdc++-v3/include/std/chrono
    branches/google/integration/libstdc++-v3/include/std/complex
    branches/google/integration/libstdc++-v3/include/std/condition_variable
    branches/google/integration/libstdc++-v3/include/std/fstream
    branches/google/integration/libstdc++-v3/include/std/functional
    branches/google/integration/libstdc++-v3/include/std/future
    branches/google/integration/libstdc++-v3/include/std/iomanip
    branches/google/integration/libstdc++-v3/include/std/iosfwd
    branches/google/integration/libstdc++-v3/include/std/iostream
    branches/google/integration/libstdc++-v3/include/std/istream
    branches/google/integration/libstdc++-v3/include/std/limits
    branches/google/integration/libstdc++-v3/include/std/mutex
    branches/google/integration/libstdc++-v3/include/std/ostream
    branches/google/integration/libstdc++-v3/include/std/ratio
    branches/google/integration/libstdc++-v3/include/std/sstream
    branches/google/integration/libstdc++-v3/include/std/stdexcept
    branches/google/integration/libstdc++-v3/include/std/streambuf
    branches/google/integration/libstdc++-v3/include/std/system_error
    branches/google/integration/libstdc++-v3/include/std/thread
    branches/google/integration/libstdc++-v3/include/std/tuple
    branches/google/integration/libstdc++-v3/include/std/type_traits
    branches/google/integration/libstdc++-v3/include/std/typeindex
    branches/google/integration/libstdc++-v3/include/std/utility
    branches/google/integration/libstdc++-v3/include/std/valarray
    branches/google/integration/libstdc++-v3/include/tr1/array
    branches/google/integration/libstdc++-v3/include/tr1/bessel_function.tcc
    branches/google/integration/libstdc++-v3/include/tr1/beta_function.tcc
    branches/google/integration/libstdc++-v3/include/tr1/cctype
    branches/google/integration/libstdc++-v3/include/tr1/cfenv
    branches/google/integration/libstdc++-v3/include/tr1/cinttypes
    branches/google/integration/libstdc++-v3/include/tr1/cmath
    branches/google/integration/libstdc++-v3/include/tr1/complex
    branches/google/integration/libstdc++-v3/include/tr1/cstdint
    branches/google/integration/libstdc++-v3/include/tr1/cstdio
    branches/google/integration/libstdc++-v3/include/tr1/cstdlib
    branches/google/integration/libstdc++-v3/include/tr1/cwchar
    branches/google/integration/libstdc++-v3/include/tr1/cwctype
    branches/google/integration/libstdc++-v3/include/tr1/ell_integral.tcc
    branches/google/integration/libstdc++-v3/include/tr1/exp_integral.tcc
    branches/google/integration/libstdc++-v3/include/tr1/functional
    branches/google/integration/libstdc++-v3/include/tr1/functional_hash.h
    branches/google/integration/libstdc++-v3/include/tr1/gamma.tcc
    branches/google/integration/libstdc++-v3/include/tr1/hashtable.h
    branches/google/integration/libstdc++-v3/include/tr1/hashtable_policy.h
    branches/google/integration/libstdc++-v3/include/tr1/hypergeometric.tcc
    branches/google/integration/libstdc++-v3/include/tr1/legendre_function.tcc
    branches/google/integration/libstdc++-v3/include/tr1/modified_bessel_func.tcc
    branches/google/integration/libstdc++-v3/include/tr1/poly_hermite.tcc
    branches/google/integration/libstdc++-v3/include/tr1/poly_laguerre.tcc
    branches/google/integration/libstdc++-v3/include/tr1/random.h
    branches/google/integration/libstdc++-v3/include/tr1/random.tcc
    branches/google/integration/libstdc++-v3/include/tr1/regex
    branches/google/integration/libstdc++-v3/include/tr1/riemann_zeta.tcc
    branches/google/integration/libstdc++-v3/include/tr1/shared_ptr.h
    branches/google/integration/libstdc++-v3/include/tr1/special_function_util.h
    branches/google/integration/libstdc++-v3/include/tr1/tuple
    branches/google/integration/libstdc++-v3/include/tr1/type_traits
    branches/google/integration/libstdc++-v3/include/tr1/unordered_map.h
    branches/google/integration/libstdc++-v3/include/tr1/unordered_set.h
    branches/google/integration/libstdc++-v3/include/tr1/utility
    branches/google/integration/libstdc++-v3/libsupc++/del_op.cc
    branches/google/integration/libstdc++-v3/libsupc++/exception
    branches/google/integration/libstdc++-v3/libsupc++/hash_bytes.cc
    branches/google/integration/libstdc++-v3/libsupc++/hash_bytes.h
    branches/google/integration/libstdc++-v3/libsupc++/vterminate.cc
    branches/google/integration/libstdc++-v3/src/Makefile.am
    branches/google/integration/libstdc++-v3/src/Makefile.in
    branches/google/integration/libstdc++-v3/src/allocator-inst.cc
    branches/google/integration/libstdc++-v3/src/atomic.cc
    branches/google/integration/libstdc++-v3/src/bitmap_allocator.cc
    branches/google/integration/libstdc++-v3/src/chrono.cc
    branches/google/integration/libstdc++-v3/src/codecvt.cc
    branches/google/integration/libstdc++-v3/src/compatibility-c++0x.cc
    branches/google/integration/libstdc++-v3/src/compatibility-debug_list.cc
    branches/google/integration/libstdc++-v3/src/compatibility-ldbl.cc
    branches/google/integration/libstdc++-v3/src/compatibility-list.cc
    branches/google/integration/libstdc++-v3/src/compatibility-parallel_list.cc
    branches/google/integration/libstdc++-v3/src/compatibility.cc
    branches/google/integration/libstdc++-v3/src/complex_io.cc
    branches/google/integration/libstdc++-v3/src/concept-inst.cc
    branches/google/integration/libstdc++-v3/src/condition_variable.cc
    branches/google/integration/libstdc++-v3/src/ctype.cc
    branches/google/integration/libstdc++-v3/src/ext-inst.cc
    branches/google/integration/libstdc++-v3/src/fstream-inst.cc
    branches/google/integration/libstdc++-v3/src/functexcept.cc
    branches/google/integration/libstdc++-v3/src/future.cc
    branches/google/integration/libstdc++-v3/src/globals_io.cc
    branches/google/integration/libstdc++-v3/src/hash_c++0x.cc
    branches/google/integration/libstdc++-v3/src/hash_tr1.cc
    branches/google/integration/libstdc++-v3/src/hashtable-aux.cc
    branches/google/integration/libstdc++-v3/src/hashtable_c++0x.cc
    branches/google/integration/libstdc++-v3/src/hashtable_tr1.cc
    branches/google/integration/libstdc++-v3/src/ios-inst.cc
    branches/google/integration/libstdc++-v3/src/ios.cc
    branches/google/integration/libstdc++-v3/src/ios_failure.cc
    branches/google/integration/libstdc++-v3/src/ios_init.cc
    branches/google/integration/libstdc++-v3/src/ios_locale.cc
    branches/google/integration/libstdc++-v3/src/iostream-inst.cc
    branches/google/integration/libstdc++-v3/src/istream-inst.cc
    branches/google/integration/libstdc++-v3/src/istream.cc
    branches/google/integration/libstdc++-v3/src/limits.cc
    branches/google/integration/libstdc++-v3/src/list.cc
    branches/google/integration/libstdc++-v3/src/locale-inst.cc
    branches/google/integration/libstdc++-v3/src/locale.cc
    branches/google/integration/libstdc++-v3/src/locale_facets.cc
    branches/google/integration/libstdc++-v3/src/locale_init.cc
    branches/google/integration/libstdc++-v3/src/localename.cc
    branches/google/integration/libstdc++-v3/src/misc-inst.cc
    branches/google/integration/libstdc++-v3/src/mt_allocator.cc
    branches/google/integration/libstdc++-v3/src/mutex.cc
    branches/google/integration/libstdc++-v3/src/ostream-inst.cc
    branches/google/integration/libstdc++-v3/src/placeholders.cc
    branches/google/integration/libstdc++-v3/src/pool_allocator.cc
    branches/google/integration/libstdc++-v3/src/sstream-inst.cc
    branches/google/integration/libstdc++-v3/src/stdexcept.cc
    branches/google/integration/libstdc++-v3/src/streambuf-inst.cc
    branches/google/integration/libstdc++-v3/src/streambuf.cc
    branches/google/integration/libstdc++-v3/src/string-inst.cc
    branches/google/integration/libstdc++-v3/src/strstream.cc
    branches/google/integration/libstdc++-v3/src/system_error.cc
    branches/google/integration/libstdc++-v3/src/thread.cc
    branches/google/integration/libstdc++-v3/src/tree.cc
    branches/google/integration/libstdc++-v3/src/valarray-inst.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/auto_ptr/assign_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/declval/requirements/1_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/duration/requirements/typedefs_neg1.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/duration/requirements/typedefs_neg2.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/duration/requirements/typedefs_neg3.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/forward/c_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/forward/f_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/make_signed/requirements/typedefs_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/ratio/cons/cons_overflow_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/ratio/operations/ops_overflow_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/shared_ptr/cons/43820_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/20_util/weak_ptr/comparison/cmp_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/deque/requirements/dr438/assign_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/deque/requirements/dr438/constructor_1_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/deque/requirements/dr438/constructor_2_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/deque/requirements/dr438/insert_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/forward_list/capacity/1.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/forward_list/requirements/dr438/assign_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/forward_list/requirements/dr438/constructor_1_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/forward_list/requirements/dr438/constructor_2_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/forward_list/requirements/dr438/insert_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/list/capacity/29134.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/list/requirements/dr438/assign_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/list/requirements/dr438/constructor_1_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/list/requirements/dr438/constructor_2_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/list/requirements/dr438/insert_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/vector/bool/capacity/29134.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/vector/bool/modifiers/insert/31370.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/assign_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/constructor_1_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/constructor_2_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/23_containers/vector/requirements/dr438/insert_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/25_algorithms/sort/35588.cc
    branches/google/integration/libstdc++-v3/testsuite/27_io/ios_base/cons/assign_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/27_io/ios_base/cons/copy_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/ext/profile/mutex_extensions_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/ext/profile/profiler_algos.cc
    branches/google/integration/libstdc++-v3/testsuite/ext/type_traits/add_unsigned_floating_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/ext/type_traits/add_unsigned_integer_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/ext/type_traits/remove_unsigned_floating_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/ext/type_traits/remove_unsigned_integer_neg.cc
    branches/google/integration/libstdc++-v3/testsuite/tr1/2_general_utilities/shared_ptr/cons/43820_neg.cc
Comment 18 Jakub Jelinek 2011-03-25 19:51:51 UTC
GCC 4.6.0 is being released, adjusting target milestone.
Comment 19 Benjamin Kosnik 2011-04-04 16:59:37 UTC
This was fixed for 4.6.0